# Uses of Enum
org.apache.commons.math3.ml.neuralnet.SquareNeighbourhood

Packages that use SquareNeighbourhood
Package
Description
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.

## Uses of SquareNeighbourhood in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet that return SquareNeighbourhood
Modifier and Type
Method
Description
`static SquareNeighbourhood`
SquareNeighbourhood.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SquareNeighbourhood[]`
SquareNeighbourhood.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of SquareNeighbourhood in org.apache.commons.math3.ml.neuralnet.twod

Constructors in org.apache.commons.math3.ml.neuralnet.twod with parameters of type SquareNeighbourhood
Modifier
Constructor
Description
``
`NeuronSquareMesh2D(int numRows, boolean wrapRowDim, int numCols, boolean wrapColDim, SquareNeighbourhood neighbourhoodType, FeatureInitializer[] featureInit)`
Creates a two-dimensional network composed of square cells: Each neuron not located on the border of the mesh has four neurons linked to it.